# Get Trending Data for a Specific Asset Retrieve data sets containing readings between a given time interval, in a specified time frame. Use this data to establish trends to plan, manage, and optimize your workloads. ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. ## Step 2: Get Assets List[​](#step-2-get-assets-list "Direct link to Step 2: Get Assets List") Use the [Get Assets](https://docs.equinix.com/api-catalog/smartviewv2/smartview-assets-apis/getasset.md) API request to retrieve assets that you have the permission to access. Sample curl request - retrieve electrical assets in the CH1 IBX data center ``` curl -X  GET "https://api.equinix.com/asset/v1/list?accountNo=1&ibx=CH1&classification=Electrical"                                                                               -H "authorization: Bearer '  ``` Sample response ``` {   "payLoad": {     "classification": "Electrical",     "categories": [       {         "templates": [           {             "assets": [               {                 "assetId": "CH1.Gen-1",                 "ibx": "CH1",                 "alarmStatus": "OK",                 "resiliencyStatus": "Resiliency as Designed",                 "alarmLastTriggeredTime": "Sep 16,2016 04:41 PM",                 "alarmLastClearedTime": "Sep 16,2016 04:43 PM"               },               {                 "assetId": "CH1.Gen-2",                 "ibx": "CH1",                 "alarmStatus": "OK",                 "resiliencyStatus": "Resiliency as Designed",                 "alarmLastTriggeredTime": "Sep 20,2016 04:48 PM",                 "alarmLastClearedTime": "Sep 20,2016 04:53 PM"               },               {                 "assetId": "CH1.Gen-3",                 "ibx": "CH1",                 "alarmStatus": "OK",                 "resiliencyStatus": "Resiliency as Designed",                 "alarmLastTriggeredTime": "Oct 04,2016 07:54 AM",                 "alarmLastClearedTime": "Oct 04,2016 08:41 AM"               }             ],             "templateId": "Generator"           }         ],         "categoryName": "Global"       }     ]   },   "status": {     "type": "INFO",     "statuscode": "1000",     "msg": "OK"   } } ``` ## Step 3: Get Assets Details[​](#step-3-get-assets-details "Direct link to Step 3: Get Assets Details") Use the [Get Asset Details](https://docs.equinix.com/api-catalog/smartviewv2/smartview-assets-apis/getassetdetails.md) API request to retrieve asset details, including tag point identifiers. Sample curl request - retrieve CH1.Gen-1 details ``` curl -X  GET "https://api.equinix.com/asset/v1/details?accountNo=1&ibx=CH1&assetId=CH1.Gen-1&classification=Electrical" -H "authorization: Bearer '  ``` Sample response ``` {     "payLoad": {         "assetId": "CH1.Gen-1",         "assetType": "Generator",         "userPrefTimeZone": "America/Los_Angeles",         "tags": [             {                 "value": "78.5",                 "tagId": "CH1.Gen-1:fuelhours",                 "tagDisplayName": "Fuel Hours",                 "uom": "h",                 "alarmStatus": "OK",                 "readingTime": "20190324023353"             },             {                 "value": "0",                 "tagId": "CH1.Gen-1:runningemergencyservice",                 "tagDisplayName": "Running Emergency Service",                 "uom": "",                 "alarmStatus": "OK",                 "readingTime": "20190324023421"             },             {                 "value": "0.0",                 "tagId": "CH1.Gen-1:voltage",                 "tagDisplayName": "Voltage",                 "uom": "V",                 "alarmStatus": "OK",                 "readingTime": "20190324022309"             },             {                 "value": "NORMAL",                 "tagId": "CH1.Gen-1:alarm",                 "tagDisplayName": "Alarm",                 "uom": "",                 "alarmStatus": "OK",                 "readingTime": "20190324022351"             },             {                 "value": "0",                 "tagId": "CH1.Gen-1:runningnonemergencyservice",                 "tagDisplayName": "Running NonEmergency Service",                 "uom": "",                 "alarmStatus": "OK",                 "readingTime": "20190324023421"             },             {                 "value": "READY TO START, AUTO",                 "tagId": "CH1.Gen-1:summary",                 "tagDisplayName": "Summary",                 "uom": "",                 "alarmStatus": "OK",                 "readingTime": "20190324023421"             }         ],         "lastMaintenanceDate": "Mar 17,2019",         "manufacturerName": "CATERPILLAR",         "equipmentModelNumber": "SR-4B",         "equipmentSerialNumber": "5JW00638",         "alarmLastTriggeredTime": null,         "alarmLastProcessedTime": null     },     "status": {         "type": "INFO",         "statuscode": "1000",         "msg": "OK"     } } ``` ## Step 4: Get Trending Data[​](#step-4-get-trending-data "Direct link to Step 4: Get Trending Data") Use the [Get Asset Tag Point Trending](https://docs.equinix.com/api-catalog/smartviewv2/smartview-assets-apis.md) API request to retrieve a specified set of readings for the given tag point. Sample curl request ``` curl -X  GET "https://api.equinix.com/asset/v1/tagpoint/trending?accountNo=1&ibx=CH1&tagId=CH1.Gen-5:fuelhours&interval=1h&fromDate=1483244949000&toDate=1493958549001" -H "authorization: Bearer " ``` Sample response ``` {     "payLoad": {         "accountNumber": "1",         "ibx": "CH1",         "interval": "1h",         "uom": "h",         "tagId": "CH1.Gen-5:fuelhours",         "tagDisplayName": "Fuel Hours",         "dataType": "Float",         "data": [             {                 "datetime": "1484355108000",                 "value": "81.21"             },             {                 "datetime": "1484365910000",                 "value": "80.35"             },             {                 "datetime": "1484373126000",                 "value": "81.23"             },             {                 "datetime": "1484383929000",                 "value": "82.15"             },             {                 "datetime": "1484405555000",                 "value": "81.33"             }         ]     },     "status": {         "type": "INFO",         "statuscode": "1000",         "msg": "OK"     } } ```